Check videos

Calling this endpoint checks whether the videos referred to by the provided video_urls qualify for analysis.

POST
/api/videos/check

Authorization

AuthorizationBearer <token>required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

video_urlsarray<string>required
versionstringoptional
Default"stable"
Example"latest"

Response Body

Video checks were returned. data maps each successfully-probed URL to its check results. errors (present only when at least one probe failed) maps each failed URL to its status and message.

application/json
dataobjectoptional
estimated_compute_timenumberrequired
video_okbooleanrequired
fps_checkbooleanrequired
resolution_checkbooleanrequired
errorsobjectoptional
statusnumberrequired
Example400
messagestringrequired
Example"Could not extract meta-data from video"
curl -X POST "https://example.com/api/videos/check" \  -H "Content-Type: application/json" \  -d '{    "video_urls": [      "https://example.com/video/3cab8744-fd22-4efe-a5f4-9a7fc8ad3716.mp4"    ]  }'
{  "data": {    "property1": {      "estimated_compute_time": 0,      "video_ok": true,      "fps_check": true,      "resolution_check": true    },    "property2": {      "estimated_compute_time": 0,      "video_ok": true,      "fps_check": true,      "resolution_check": true    }  },  "errors": {    "property1": {      "status": 400,      "message": "Could not extract meta-data from video"    },    "property2": {      "status": 400,      "message": "Could not extract meta-data from video"    }  }}